aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-03-23 11:54:11 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-03-23 11:54:11 +0100
commit11a623e3a2cf2ab987d14e8a1e4c4ab070a1a69b (patch)
tree0960a0a8d5b8242874ca779ccdd13ec5e290d364
parent6e69c988717adb6c8811af4647e74c03a04c4c3a (diff)
updates for octopus
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: Ia1a057c58643e849967e66542e260eeebf2b6664
-rw-r--r--jjb/ci-AGL-verify/ci-platform-jjb.yaml4
-rw-r--r--jjb/common/include-agl-header.sh4
-rw-r--r--jjb/common/include-agl-set-flutter-demo-image.sh2
-rw-r--r--jjb/common/include-agl-set-iceg-lxc-image.sh2
4 files changed, 6 insertions, 6 deletions
diff --git a/jjb/ci-AGL-verify/ci-platform-jjb.yaml b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
index 19ebb7d6..19453e13 100644
--- a/jjb/ci-AGL-verify/ci-platform-jjb.yaml
+++ b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
@@ -213,11 +213,11 @@
name: 'CIBT-{project}-finish-success'
condition: SUCCESSFUL
projects:
- - name: 'ci-platform-{project}-verify-CIBT-finish-success'
+ - name: 'ci-platform-{project}-verify-CIB-html5-qemux86-64'
current-parameters: true
abort-all-job: false
kill-phase-on: NEVER
- - name: 'ci-platform-{project}-verify-CIB-html5-qemux86-64'
+ - name: 'ci-platform-{project}-verify-CIBT-finish-success'
current-parameters: true
abort-all-job: false
kill-phase-on: NEVER
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index 2380492e..9b478c07 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -187,7 +187,7 @@ fi
##### needlefish integration
-if test x"master" = x"${TARGETBRANCH}" -o x"needlefish" = x"${TARGETBRANCH}" ; then
+if test x"master" = x"${TARGETBRANCH}" -o x"octopus" = x"${TARGETBRANCH}" -o x"needlefish" = x"${TARGETBRANCH}" ; then
if test x"bbe" = x"${TARGETMACHINE}" ; then
echo "Target only works for TELEMATICS PROFILE. Select this:"
echo "TARGETFEATURES=\"${TARGETFEATURESnogfx}\""
@@ -197,4 +197,4 @@ if test x"master" = x"${TARGETBRANCH}" -o x"needlefish" = x"${TARGETBRANCH}" ; t
TARGETIMAGE="agl-telematics-demo-platform"
TARGETSDKIMAGE="agl-telematics-demo-platform"
fi
-fi \ No newline at end of file
+fi
diff --git a/jjb/common/include-agl-set-flutter-demo-image.sh b/jjb/common/include-agl-set-flutter-demo-image.sh
index 4b82a502..e91cc971 100644
--- a/jjb/common/include-agl-set-flutter-demo-image.sh
+++ b/jjb/common/include-agl-set-flutter-demo-image.sh
@@ -10,7 +10,7 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "marlin" | grep -q $TARGETBRANCH ) || exit 0
+! ( echo "marlin jellyfish lamprey koi" | grep -q $TARGETBRANCH ) || exit 0
export TARGETFEATURES="agl-demo agl-devel"
export TARGETQA=""
diff --git a/jjb/common/include-agl-set-iceg-lxc-image.sh b/jjb/common/include-agl-set-iceg-lxc-image.sh
index b16d2be5..f724c7f1 100644
--- a/jjb/common/include-agl-set-iceg-lxc-image.sh
+++ b/jjb/common/include-agl-set-iceg-lxc-image.sh
@@ -10,7 +10,7 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "marlin jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
+! ( echo "marlin jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
export TARGETFEATURES="agl-ic-container agl-devel"
export TARGETQA=""